diff --git a/chrono/api/views.py b/chrono/api/views.py
index d34f729..0444893 100644
--- a/chrono/api/views.py
+++ b/chrono/api/views.py
@@ -14,8 +14,8 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from collections import defaultdict
 import datetime
+from collections import defaultdict
 
 from django.db import transaction
 from django.http import Http404, HttpResponse
@@ -23,17 +23,15 @@ from django.shortcuts import get_object_or_404
 from django.urls import reverse
 from django.utils.dateparse import parse_date
 from django.utils.encoding import force_text
-from django.utils.timezone import now, make_aware, localtime
+from django.utils.timezone import localtime, make_aware, now
 from django.utils.translation import gettext_noop
 from django.utils.translation import ugettext_lazy as _
-
 from rest_framework import permissions, serializers, status
-
 from rest_framework.views import APIView
 
 from chrono.api.utils import Response
-from ..agendas.models import (Agenda, Event, Booking, MeetingType,
-                              TimePeriod, Desk)
+
+from ..agendas.models import Agenda, Booking, Desk, Event, MeetingType, TimePeriod
 from ..interval import Intervals
 
 
@@ -44,7 +42,9 @@ def format_response_datetime(dt):
 def get_exceptions_by_desk(agenda):
     exceptions_by_desk = {}
     for desk in Desk.objects.filter(agenda=agenda).prefetch_related('timeperiodexception_set'):
-        exceptions_by_desk[desk.id] = [(exc.start_datetime, exc.end_datetime) for exc in desk.timeperiodexception_set.all()]
+        exceptions_by_desk[desk.id] = [
+            (exc.start_datetime, exc.end_datetime) for exc in desk.timeperiodexception_set.all()
+        ]
     return exceptions_by_desk
 
 
@@ -58,14 +58,16 @@ def get_all_slots(agenda, meeting_type):
     time_period_filters = {
         'min_datetime': min_datetime,
         'max_datetime': max_datetime,
-        'meeting_type': meeting_type
+        'meeting_type': meeting_type,
     }
 
     base_date = now().date()
     open_slots_by_desk = defaultdict(lambda: Intervals())
     for time_period in TimePeriod.objects.filter(desk__agenda=agenda):
-        duration = (datetime.datetime.combine(base_date, time_period.end_time) -
-                    datetime.datetime.combine(base_date, time_period.start_time)).seconds / 60
+        duration = (
+            datetime.datetime.combine(base_date, time_period.end_time)
+            - datetime.datetime.combine(base_date, time_period.start_time)
+        ).seconds / 60
         if duration < meeting_type.duration:
             # skip time period that can't even hold a single meeting
             continue
@@ -80,11 +82,15 @@ def get_all_slots(agenda, meeting_type):
             begin, end = interval
             open_slots_by_desk[desk].remove_overlap(localtime(begin), localtime(end))
 
-    for event in agenda.event_set.filter(
-            agenda=agenda, start_datetime__gte=min_datetime,
-            start_datetime__lte=max_datetime + datetime.timedelta(meeting_type.duration)).select_related(
-                'meeting_type').exclude(
-                        booking__cancellation_datetime__isnull=False):
+    for event in (
+        agenda.event_set.filter(
+            agenda=agenda,
+            start_datetime__gte=min_datetime,
+            start_datetime__lte=max_datetime + datetime.timedelta(meeting_type.duration),
+        )
+        .select_related('meeting_type')
+        .exclude(booking__cancellation_datetime__isnull=False)
+    ):
         for slot in open_slots_by_desk[event.desk_id].search_data(event.start_datetime, event.end_datetime):
             slot.full = True
 
@@ -98,7 +104,7 @@ def get_all_slots(agenda, meeting_type):
 def get_agenda_detail(request, agenda):
     agenda_detail = {
         'id': agenda.slug,
-        'slug': agenda.slug, # kept for compatibility
+        'slug': agenda.slug,  # kept for compatibility
         'text': agenda.label,
         'kind': agenda.kind,
         'minimal_booking_delay': agenda.minimal_booking_delay,
@@ -108,21 +114,21 @@ def get_agenda_detail(request, agenda):
     if agenda.kind == 'events':
         agenda_detail['api'] = {
             'datetimes_url': request.build_absolute_uri(
-                reverse('api-agenda-datetimes',
-                        kwargs={'agenda_identifier': agenda.slug}))
+                reverse('api-agenda-datetimes', kwargs={'agenda_identifier': agenda.slug})
+            )
         }
     elif agenda.kind == 'meetings':
         agenda_detail['api'] = {
             'meetings_url': request.build_absolute_uri(
-                reverse('api-agenda-meetings',
-                        kwargs={'agenda_identifier': agenda.slug})),
+                reverse('api-agenda-meetings', kwargs={'agenda_identifier': agenda.slug})
+            ),
             'desks_url': request.build_absolute_uri(
-                reverse('api-agenda-desks',
-                        kwargs={'agenda_identifier': agenda.slug}))
+                reverse('api-agenda-desks', kwargs={'agenda_identifier': agenda.slug})
+            ),
         }
     agenda_detail['api']['fillslots_url'] = request.build_absolute_uri(
-        reverse('api-agenda-fillslots',
-                kwargs={'agenda_identifier': agenda.slug}))
+        reverse('api-agenda-fillslots', kwargs={'agenda_identifier': agenda.slug})
+    )
 
     return agenda_detail
 
@@ -136,7 +142,7 @@ def get_event_places(event):
     if event.waiting_list_places:
         places['waiting_list_total'] = event.waiting_list_places
         places['waiting_list_reserved'] = event.waiting_list
-        places['waiting_list_available'] = (event.waiting_list_places - event.waiting_list)
+        places['waiting_list_available'] = event.waiting_list_places - event.waiting_list
     return places
 
 
@@ -144,10 +150,10 @@ class Agendas(APIView):
     permission_classes = ()
 
     def get(self, request, format=None):
-        agendas = [get_agenda_detail(request, agenda)
-                   for agenda in Agenda.objects.all().order_by('label')]
+        agendas = [get_agenda_detail(request, agenda) for agenda in Agenda.objects.all().order_by('label')]
         return Response({'data': agendas})
 
+
 agendas = Agendas.as_view()
 
 
@@ -155,12 +161,14 @@ class AgendaDetail(APIView):
     '''
     Retrieve an agenda instance.
     '''
+
     permission_classes = ()
 
     def get(self, request, agenda_identifier):
         agenda = get_object_or_404(Agenda, slug=agenda_identifier)
         return Response({'data': get_agenda_detail(request, agenda)})
 
+
 agenda_detail = AgendaDetail.as_view()
 
 
@@ -186,43 +194,68 @@ class Datetimes(APIView):
 
         if agenda.minimal_booking_delay:
             entries = entries.filter(
-                start_datetime__gte=localtime(now() + datetime.timedelta(days=agenda.minimal_booking_delay)).replace(hour=0, minute=0))
+                start_datetime__gte=localtime(
+                    now() + datetime.timedelta(days=agenda.minimal_booking_delay)
+                ).replace(hour=0, minute=0)
+            )
 
         if agenda.maximal_booking_delay:
             entries = entries.filter(
-                start_datetime__lt=localtime(now() + datetime.timedelta(days=agenda.maximal_booking_delay)).replace(hour=0, minute=0))
+                start_datetime__lt=localtime(
+                    now() + datetime.timedelta(days=agenda.maximal_booking_delay)
+                ).replace(hour=0, minute=0)
+            )
 
         if 'date_start' in request.GET:
-            entries = entries.filter(start_datetime__gte=make_aware(
-                datetime.datetime.combine(parse_date(request.GET['date_start']), datetime.time(0, 0))))
+            entries = entries.filter(
+                start_datetime__gte=make_aware(
+                    datetime.datetime.combine(parse_date(request.GET['date_start']), datetime.time(0, 0))
+                )
+            )
 
         if 'date_end' in request.GET:
-            entries = entries.filter(start_datetime__lt=make_aware(
-                datetime.datetime.combine(parse_date(request.GET['date_end']), datetime.time(0, 0))))
-
-        response = {'data': [{'id': x.id,
-                              'slug': x.slug,
-                              'text': force_text(x),
-                              'datetime': format_response_datetime(x.start_datetime),
-                              'description': x.description,
-                              'disabled': bool(x.full),
-                              'api': {
-                                  'fillslot_url': request.build_absolute_uri(
-                                      reverse('api-fillslot',
-                                          kwargs={
-                                              'agenda_identifier': agenda.slug,
-                                              'event_identifier': x.slug or x.id,
-                                      })),
-                                  'status_url': request.build_absolute_uri(
-                                      reverse('api-event-status',
-                                          kwargs={
-                                              'agenda_identifier': agenda.slug,
-                                              'event_identifier': x.slug or x.id,
-                                      }))
-                                  },
-                              } for x in entries]}
+            entries = entries.filter(
+                start_datetime__lt=make_aware(
+                    datetime.datetime.combine(parse_date(request.GET['date_end']), datetime.time(0, 0))
+                )
+            )
+
+        response = {
+            'data': [
+                {
+                    'id': x.id,
+                    'slug': x.slug,
+                    'text': force_text(x),
+                    'datetime': format_response_datetime(x.start_datetime),
+                    'description': x.description,
+                    'disabled': bool(x.full),
+                    'api': {
+                        'fillslot_url': request.build_absolute_uri(
+                            reverse(
+                                'api-fillslot',
+                                kwargs={
+                                    'agenda_identifier': agenda.slug,
+                                    'event_identifier': x.slug or x.id,
+                                },
+                            )
+                        ),
+                        'status_url': request.build_absolute_uri(
+                            reverse(
+                                'api-event-status',
+                                kwargs={
+                                    'agenda_identifier': agenda.slug,
+                                    'event_identifier': x.slug or x.id,
+                                },
+                            )
+                        ),
+                    },
+                }
+                for x in entries
+            ]
+        }
         return Response(response)
 
+
 datetimes = Datetimes.as_view()
 
 
@@ -235,8 +268,9 @@ class MeetingDatetimes(APIView):
                 # legacy access by meeting id
                 meeting_type = MeetingType.objects.get(id=meeting_identifier)
             else:
-                meeting_type = MeetingType.objects.get(slug=meeting_identifier,
-                        agenda__slug=agenda_identifier)
+                meeting_type = MeetingType.objects.get(
+                    slug=meeting_identifier, agenda__slug=agenda_identifier
+                )
         except (ValueError, MeetingType.DoesNotExist):
             raise Http404()
 
@@ -259,22 +293,27 @@ class MeetingDatetimes(APIView):
         # to request.build_absolute_uri()
         fake_event_identifier = '__event_identifier__'
         fillslot_url = request.build_absolute_uri(
-                reverse('api-fillslot',
-                    kwargs={
-                        'agenda_identifier': agenda.slug,
-                        'event_identifier': fake_event_identifier,
-                        }))
-
-        response = {'data': [{'id': x.id,
-                              'datetime': format_response_datetime(x.start_datetime),
-                              'text': force_text(x),
-                              'disabled': bool(x.full),
-                              'api': {
-                                'fillslot_url': fillslot_url.replace(fake_event_identifier, str(x.id)),
-                              },
-                             } for x in slots]}
+            reverse(
+                'api-fillslot',
+                kwargs={'agenda_identifier': agenda.slug, 'event_identifier': fake_event_identifier,},
+            )
+        )
+
+        response = {
+            'data': [
+                {
+                    'id': x.id,
+                    'datetime': format_response_datetime(x.start_datetime),
+                    'text': force_text(x),
+                    'disabled': bool(x.full),
+                    'api': {'fillslot_url': fillslot_url.replace(fake_event_identifier, str(x.id)),},
+                }
+                for x in slots
+            ]
+        }
         return Response(response)
 
+
 meeting_datetimes = MeetingDatetimes.as_view()
 
 
@@ -291,20 +330,28 @@ class MeetingList(APIView):
 
         meeting_types = []
         for meeting_type in agenda.meetingtype_set.all():
-            meeting_types.append({
-                'text': meeting_type.label,
-                'id': meeting_type.slug,
-                'duration': meeting_type.duration,
-                'api': {
-                    'datetimes_url': request.build_absolute_uri(
-                        reverse('api-agenda-meeting-datetimes',
-                            kwargs={'agenda_identifier': agenda.slug,
-                                    'meeting_identifier': meeting_type.slug})),
-                            }
-                })
+            meeting_types.append(
+                {
+                    'text': meeting_type.label,
+                    'id': meeting_type.slug,
+                    'duration': meeting_type.duration,
+                    'api': {
+                        'datetimes_url': request.build_absolute_uri(
+                            reverse(
+                                'api-agenda-meeting-datetimes',
+                                kwargs={
+                                    'agenda_identifier': agenda.slug,
+                                    'meeting_identifier': meeting_type.slug,
+                                },
+                            )
+                        ),
+                    },
+                }
+            )
 
         return Response({'data': meeting_types})
 
+
 meeting_list = MeetingList.as_view()
 
 
@@ -322,6 +369,7 @@ class AgendaDeskList(APIView):
         desks = [{'id': x.slug, 'text': x.label} for x in agenda.desk_set.all()]
         return Response({'data': desks})
 
+
 agenda_desk_list = AgendaDeskList.as_view()
 
 
@@ -329,6 +377,7 @@ class SlotSerializer(serializers.Serializer):
     '''
     payload to fill one slot. The slot (event id) is in the URL.
     '''
+
     label = serializers.CharField(max_length=250, allow_blank=True)
     user_name = serializers.CharField(max_length=250, allow_blank=True)
     user_display_label = serializers.CharField(max_length=250, allow_blank=True)
@@ -342,8 +391,10 @@ class SlotsSerializer(SlotSerializer):
     payload to fill multiple slots: same as SlotSerializer, but the
     slots list is in the payload.
     '''
-    slots = serializers.ListField(required=True,
-        child=serializers.CharField(max_length=64, allow_blank=False))
+
+    slots = serializers.ListField(
+        required=True, child=serializers.CharField(max_length=64, allow_blank=False)
+    )
 
 
 class Fillslots(APIView):
@@ -351,8 +402,7 @@ class Fillslots(APIView):
     serializer_class = SlotsSerializer
 
     def post(self, request, agenda_identifier=None, event_identifier=None, format=None):
-        return self.fillslot(request=request, agenda_identifier=agenda_identifier,
-                             format=format)
+        return self.fillslot(request=request, agenda_identifier=agenda_identifier, format=format)
 
     def fillslot(self, request, agenda_identifier=None, slots=[], format=None):
         multiple_booking = bool(not slots)
@@ -367,22 +417,28 @@ class Fillslots(APIView):
 
         serializer = self.serializer_class(data=request.data, partial=True)
         if not serializer.is_valid():
-            return Response({
-                'err': 1,
-                'err_class': 'invalid payload',
-                'err_desc': _('invalid payload'),
-                'errors': serializer.errors
-            }, status=status.HTTP_400_BAD_REQUEST)
+            return Response(
+                {
+                    'err': 1,
+                    'err_class': 'invalid payload',
+                    'err_desc': _('invalid payload'),
+                    'errors': serializer.errors,
+                },
+                status=status.HTTP_400_BAD_REQUEST,
+            )
         payload = serializer.validated_data
 
         if 'slots' in payload:
             slots = payload['slots']
         if not slots:
-            return Response({
-                'err': 1,
-                'err_class': 'slots list cannot be empty',
-                'err_desc': _('slots list cannot be empty'),
-            }, status=status.HTTP_400_BAD_REQUEST)
+            return Response(
+                {
+                    'err': 1,
+                    'err_class': 'slots list cannot be empty',
+                    'err_desc': _('slots list cannot be empty'),
+                },
+                status=status.HTTP_400_BAD_REQUEST,
+            )
 
         if 'count' in payload:
             places_count = payload['count']
@@ -391,20 +447,26 @@ class Fillslots(APIView):
             try:
                 places_count = int(request.query_params['count'])
             except ValueError:
-                return Response({
-                    'err': 1,
-                    'err_class': 'invalid value for count (%s)' % request.query_params['count'],
-                    'err_desc': _('invalid value for count (%s)') % request.query_params['count'],
-                }, status=status.HTTP_400_BAD_REQUEST)
+                return Response(
+                    {
+                        'err': 1,
+                        'err_class': 'invalid value for count (%s)' % request.query_params['count'],
+                        'err_desc': _('invalid value for count (%s)') % request.query_params['count'],
+                    },
+                    status=status.HTTP_400_BAD_REQUEST,
+                )
         else:
             places_count = 1
 
         if places_count <= 0:
-            return Response({
-                'err': 1,
-                'err_class': 'count cannot be less than or equal to zero',
-                'err_desc': _('count cannot be less than or equal to zero'),
-            }, status=status.HTTP_400_BAD_REQUEST)
+            return Response(
+                {
+                    'err': 1,
+                    'err_class': 'count cannot be less than or equal to zero',
+                    'err_desc': _('count cannot be less than or equal to zero'),
+                },
+                status=status.HTTP_400_BAD_REQUEST,
+            )
 
         to_cancel_booking = None
         cancel_booking_id = None
@@ -412,11 +474,14 @@ class Fillslots(APIView):
             try:
                 cancel_booking_id = int(payload.get('cancel_booking_id'))
             except (ValueError, TypeError):
-                return Response({
-                    'err': 1,
-                    'err_class': 'cancel_booking_id is not an integer',
-                    'err_desc': _('cancel_booking_id is not an integer'),
-                }, status=status.HTTP_400_BAD_REQUEST)
+                return Response(
+                    {
+                        'err': 1,
+                        'err_class': 'cancel_booking_id is not an integer',
+                        'err_desc': _('cancel_booking_id is not an integer'),
+                    },
+                    status=status.HTTP_400_BAD_REQUEST,
+                )
 
         if cancel_booking_id is not None:
             cancel_error = None
@@ -432,11 +497,7 @@ class Fillslots(APIView):
                 cancel_error = gettext_noop('cancel booking: booking does no exist')
 
             if cancel_error:
-                return Response({
-                    'err': 1,
-                    'err_class': cancel_error,
-                    'err_desc': _(cancel_error),
-                })
+                return Response({'err': 1, 'err_class': cancel_error, 'err_desc': _(cancel_error),})
 
         extra_data = {}
         for k, v in request.data.items():
@@ -454,17 +515,25 @@ class Fillslots(APIView):
                 try:
                     meeting_type_id_, datetime_str = slot.split(':')
                 except ValueError:
-                    return Response({
-                        'err': 1,
-                        'err_class': 'invalid slot: %s' % slot,
-                        'err_desc': _('invalid slot: %s') % slot,
-                    }, status=status.HTTP_400_BAD_REQUEST)
+                    return Response(
+                        {
+                            'err': 1,
+                            'err_class': 'invalid slot: %s' % slot,
+                            'err_desc': _('invalid slot: %s') % slot,
+                        },
+                        status=status.HTTP_400_BAD_REQUEST,
+                    )
                 if meeting_type_id_ != meeting_type_id:
-                    return Response({
-                        'err': 1,
-                        'err_class': 'all slots must have the same meeting type id (%s)' % meeting_type_id,
-                        'err_desc': _('all slots must have the same meeting type id (%s)') % meeting_type_id,
-                    }, status=status.HTTP_400_BAD_REQUEST)
+                    return Response(
+                        {
+                            'err': 1,
+                            'err_class': 'all slots must have the same meeting type id (%s)'
+                            % meeting_type_id,
+                            'err_desc': _('all slots must have the same meeting type id (%s)')
+                            % meeting_type_id,
+                        },
+                        status=status.HTTP_400_BAD_REQUEST,
+                    )
                 datetimes.add(make_aware(datetime.datetime.strptime(datetime_str, '%Y-%m-%d-%H%M')))
 
             # get all free slots and separate them by desk
@@ -480,11 +549,13 @@ class Fillslots(APIView):
                     available_desk = Desk.objects.get(id=available_desk_id)
                     break
             else:
-                return Response({
-                    'err': 1,
-                    'err_class': 'no more desk available',
-                    'err_desc': _('no more desk available'),
-                })
+                return Response(
+                    {
+                        'err': 1,
+                        'err_class': 'no more desk available',
+                        'err_desc': _('no more desk available'),
+                    }
+                )
 
             # all datetimes are free, book them in order
             datetimes = list(datetimes)
@@ -494,11 +565,16 @@ class Fillslots(APIView):
             # create them now, with data from the slots and the desk we found.
             events = []
             for start_datetime in datetimes:
-                events.append(Event.objects.create(agenda=agenda,
+                events.append(
+                    Event.objects.create(
+                        agenda=agenda,
                         meeting_type_id=meeting_type_id,
                         start_datetime=start_datetime,
-                        full=False, places=1,
-                        desk=available_desk))
+                        full=False,
+                        places=1,
+                        desk=available_desk,
+                    )
+                )
         else:
             try:
                 events = Event.objects.filter(id__in=[int(s) for s in slots]).order_by('start_datetime')
@@ -514,18 +590,10 @@ class Fillslots(APIView):
                     # in the waiting list.
                     in_waiting_list = True
                     if (event.waiting_list + places_count) > event.waiting_list_places:
-                        return Response({
-                            'err': 1,
-                            'err_class': 'sold out',
-                            'err_desc': _('sold out'),
-                        })
+                        return Response({'err': 1, 'err_class': 'sold out', 'err_desc': _('sold out'),})
             else:
                 if (event.booked_places + places_count) > event.places:
-                    return Response({
-                        'err': 1,
-                        'err_class': 'sold out',
-                        'err_desc': _('sold out')
-                    })
+                    return Response({'err': 1, 'err_class': 'sold out', 'err_desc': _('sold out')})
 
         with transaction.atomic():
             if to_cancel_booking:
@@ -536,13 +604,15 @@ class Fillslots(APIView):
             primary_booking = None
             for event in events:
                 for i in range(places_count):
-                    new_booking = Booking(event_id=event.id,
-                                          in_waiting_list=in_waiting_list,
-                                          label=payload.get('label', ''),
-                                          user_name=payload.get('user_name', ''),
-                                          backoffice_url=payload.get('backoffice_url', ''),
-                                          user_display_label=payload.get('user_display_label', ''),
-                                          extra_data=extra_data)
+                    new_booking = Booking(
+                        event_id=event.id,
+                        in_waiting_list=in_waiting_list,
+                        label=payload.get('label', ''),
+                        user_name=payload.get('user_name', ''),
+                        backoffice_url=payload.get('backoffice_url', ''),
+                        user_display_label=payload.get('user_display_label', ''),
+                        extra_data=extra_data,
+                    )
                     if primary_booking is not None:
                         new_booking.primary_booking = primary_booking
                     new_booking.save()
@@ -556,21 +626,22 @@ class Fillslots(APIView):
             'datetime': format_response_datetime(events[0].start_datetime),
             'api': {
                 'cancel_url': request.build_absolute_uri(
-                    reverse('api-cancel-booking', kwargs={'booking_pk': primary_booking.id})),
+                    reverse('api-cancel-booking', kwargs={'booking_pk': primary_booking.id})
+                ),
                 'ics_url': request.build_absolute_uri(
-                    reverse('api-booking-ics', kwargs={'booking_pk': primary_booking.id})),
-            }
+                    reverse('api-booking-ics', kwargs={'booking_pk': primary_booking.id})
+                ),
+            },
         }
         if in_waiting_list:
             response['api']['accept_url'] = request.build_absolute_uri(
-                    reverse('api-accept-booking', kwargs={'booking_pk': primary_booking.id}))
+                reverse('api-accept-booking', kwargs={'booking_pk': primary_booking.id})
+            )
         if agenda.kind == 'meetings':
             response['end_datetime'] = format_response_datetime(events[-1].end_datetime)
             response['duration'] = (events[-1].end_datetime - events[-1].start_datetime).seconds // 60
         if available_desk:
-            response['desk'] = {
-                'label': available_desk.label,
-                'slug': available_desk.slug}
+            response['desk'] = {'label': available_desk.label, 'slug': available_desk.slug}
         if to_cancel_booking:
             response['cancelled_booking_id'] = cancelled_booking_id
         if agenda.kind == 'events' and not multiple_booking:
@@ -579,6 +650,7 @@ class Fillslots(APIView):
 
         return Response(response)
 
+
 fillslots = Fillslots.as_view()
 
 
@@ -586,10 +658,13 @@ class Fillslot(Fillslots):
     serializer_class = SlotSerializer
 
     def post(self, request, agenda_identifier=None, event_identifier=None, format=None):
-        return self.fillslot(request=request,
-                             agenda_identifier=agenda_identifier,
-                             slots=[event_identifier],  # fill a "list on one slot"
-                             format=format)
+        return self.fillslot(
+            request=request,
+            agenda_identifier=agenda_identifier,
+            slots=[event_identifier],  # fill a "list on one slot"
+            format=format,
+        )
+
 
 fillslot = Fillslot.as_view()
 
@@ -599,14 +674,14 @@ class BookingAPI(APIView):
 
     def initial(self, request, *args, **kwargs):
         super(BookingAPI, self).initial(request, *args, **kwargs)
-        self.booking = Booking.objects.get(id=kwargs.get('booking_pk'),
-                cancellation_datetime__isnull=True)
+        self.booking = Booking.objects.get(id=kwargs.get('booking_pk'), cancellation_datetime__isnull=True)
 
     def delete(self, request, *args, **kwargs):
         self.booking.cancel()
         response = {'err': 0, 'booking_id': self.booking.id}
         return Response(response)
 
+
 booking = BookingAPI.as_view()
 
 
@@ -616,6 +691,7 @@ class CancelBooking(APIView):
 
     It will return an error (code 1) if the booking was already cancelled.
     '''
+
     permission_classes = (permissions.IsAuthenticated,)
 
     def post(self, request, booking_pk=None, format=None):
@@ -631,6 +707,7 @@ class CancelBooking(APIView):
         response = {'err': 0, 'booking_id': booking.id}
         return Response(response)
 
+
 cancel_booking = CancelBooking.as_view()
 
 
@@ -641,6 +718,7 @@ class AcceptBooking(APIView):
     It will return error codes if the booking was cancelled before (code 1) and
     if the booking was not in waiting list (code 2).
     '''
+
     permission_classes = (permissions.IsAuthenticated,)
 
     def post(self, request, booking_pk=None, format=None):
@@ -663,6 +741,7 @@ class AcceptBooking(APIView):
         response = {'err': 0, 'booking_id': booking.id}
         return Response(response)
 
+
 accept_booking = AcceptBooking.as_view()
 
 
@@ -699,4 +778,5 @@ class BookingICS(APIView):
         response = HttpResponse(booking.get_ics(request), content_type='text/calendar')
         return response
 
+
 booking_ics = BookingICS.as_view()
